{% extends "scores/views/base.html" %}
{% import 'scores/views/macros.html' as macros %}

{% block version %}3D{% endblock %}
{% block main %}
<h1>{{ "Resilience in 2D"|_ }}</h1>
<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'ph', ['ps', 'ha']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['ph'])|_ }} ({{ scores_2d['ph'] }})</h3>
    <p>{{ ('2d.' + scores_2d['ph'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'ps', ['ps', 'sd']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['ps'])|_ }} ({{ scores_2d['ps'] }})</h3>
    <p>{{ ('2d.' + scores_2d['ps'] + '.description')|_ }}</p>
  </article>
</div>

<div class=detailed>
  <div>
    {{ macros.graph_2d(result, 'sh', ['sd', 'ha']) }}
  </div>
  <article>
    <h3>{{ ('2d.' + scores_2d['sh'])|_ }} ({{ scores_2d['sh'] }})</h3>
    <p>{{ ('2d.' + scores_2d['sh'] + '.description')|_ }}</p>
  </article>
</div>

<hr>

<h1>{{ "Resilience in 3D"|_ }}</h1>
<div class=detailed>
  {{ macros.graph_3d(scores_3d['psh'], 'psh', ['ps', 'sd', 'ha']) }}
  <article>
    <h3>{{ ('3d.' + scores_3d['psh'])|_ }} ({{ scores_3d['psh'] }})</h3>
    <p>{{ ('3d.' + scores_3d['psh'] + '.description')|_ }}</p>
  </article>
</div>

<hr>

<h1>{{ "Resilience in 2D"|_ }}</h1>

<p class=client-text>{{ "2d.resilience_description"|_ }}</p>

<div>
  {{ macros.graph_2d(result, 'ph', ['ps', 'ha']) }}
  {{ macros.graph_2d(result, 'ps', ['ps', 'sd']) }}
  {{ macros.graph_2d(result, 'sh', ['sd', 'ha']) }}
</div>

<h1>{{ "Resilience in 3D"|_ }}</h1>

<p class=client-text>{{ "3d.resilience_description"|_ }}</p>
{{ macros.graph_3d(scores_3d['psh'], 'psh', ['ps', 'sd', 'ha']) }}
{% endblock %}
